/***************************************************************************
                          optionsdialog.h  -  description
                             -------------------
    begin                : Fri Mar 16 2001
    copyright            : (C) 2001 by Michael Heidecke
    email                : heidecke@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kdialogbase.h>

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifndef OPTIONS_H
#define OPTIONS_H

class QFrame;
class QRadioButton;
class QCheckBox;
class QButtonGroup;
class KColorButton;
class KFontChooser;
class KKeyChooser;
class KSteak;

/**
  *@author Michael Heidecke
  */

class OptionsDialog : public KDialogBase 
{
  Q_OBJECT
public:
  OptionsDialog( KSteak *parent = 0, const char *name = 0, bool modal = FALSE, WFlags fl = 0 );
  // ~OptionsDialog();
public slots:
    virtual void slotApply();
    virtual void slotOk();

private:
	QButtonGroup *bGroup1, *bGroup2;
	QCheckBox    *ButtonClear;
	QFrame *frame1, *frame2, *frame3, *frame4;
	QRadioButton *rButton1, *rButton2;
	KColorButton *Button1, *Button2, *Button3;
	KFontChooser *Fontchooser;
	KKeyChooser *Keychooser;
	KSteak *par;
};

#endif
